<ion-fab vertical="bottom" horizontal="center" slot="fixed" class="animated fadeInDown">
  <ion-fab-button (click)="togglePopupMenu()">
    <ion-ripple-effect></ion-ripple-effect>
    <ion-icon name="apps"></ion-icon>
  </ion-fab-button>
</ion-fab>

<div class="popup-menu">
  <div class="popup-menu-overlay" [ngClass]="{'in': openMenu}"></div>
  <div class="popup-menu-panel" [ngClass]="{'in': openMenu}">
    <div class="popup-menu-item" (click)="goToQueueAdd()">
      <ion-icon name="add" slot="middle" size="large"></ion-icon>
      <span>New</span>
    </div>
    <div class="popup-menu-item" (click)="goToQueueList()">
      <ion-icon name="list" slot="middle" size="large"></ion-icon>
      <span>All</span>
    </div>
    <div class="popup-menu-item">
      <ion-icon name="search" slot="middle" size="large"></ion-icon>
      <span>Inquiry</span>
    </div>
  </div>
</div>